## org.aspectj.lang.reflect
Interface InterTypeMethodDeclaration

All Superinterfaces:
  InterTypeDeclaration

    public interface InterTypeMethodDeclaration

extends InterTypeDeclaration

Represents an inter-type method declaration member within an aspect.

Method Summary
`AjType<?>[]` `getExceptionTypes()` The declared exceptions thrown by this method
`java.lang.reflect.Type[]` `getGenericParameterTypes()` The generic method parameters
`java.lang.reflect.Type` `getGenericReturnType()` The generic return type
`java.lang.String` `getName()` The name of this method
`AjType<?>[]` `getParameterTypes()` The method parameters
`AjType<?>` `getReturnType()` The method return type
`java.lang.reflect.TypeVariable<java.lang.reflect.Method>[]` `getTypeParameters()` The type variables declared by this method

Methods inherited from interface org.aspectj.lang.reflect.InterTypeDeclaration
`getDeclaringType, getModifiers, getTargetType`

Method Detail

### getName

    java.lang.String getName()

  The name of this method

### getReturnType

    AjType<?> getReturnType()

  The method return type

### getGenericReturnType

    java.lang.reflect.Type getGenericReturnType()

  The generic return type

### getParameterTypes

    AjType<?>[] getParameterTypes()

  The method parameters

### getGenericParameterTypes

    java.lang.reflect.Type[] getGenericParameterTypes()

  The generic method parameters

### getTypeParameters

    java.lang.reflect.TypeVariable<java.lang.reflect.Method>[] getTypeParameters()

  The type variables declared by this method

### getExceptionTypes

    AjType<?>[] getExceptionTypes()

  The declared exceptions thrown by this method